Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyCollectionHistoryView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyCollectionHistoryView.cs	(revision 4703)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyCollectionHistoryView.cs	(revision 4704)
@@ -28,7 +28,4 @@
   [Content(typeof(AlleleFrequencyCollectionHistory), true)]
   public partial class AlleleFrequencyCollectionHistoryView : MovieView<AlleleFrequencyCollection> {
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with caption "Variables Scope View".
-    /// </summary>
     public AlleleFrequencyCollectionHistoryView() {
       InitializeComponent();
Index: /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalyzer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalyzer.cs	(revision 4703)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalyzer.cs	(revision 4704)
@@ -51,6 +51,6 @@
       get { return (ValueLookupParameter<ResultCollection>)Parameters["Results"]; }
     }
-    public ValueParameter<BoolValue> StoreAlleleFrequenciesHistoryParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["StoreAlleleFrequenciesHistory"]; }
+    public ValueParameter<BoolValue> StoreHistoryParameter {
+      get { return (ValueParameter<BoolValue>)Parameters["StoreHistory"]; }
     }
     public ValueParameter<IntValue> UpdateIntervalParameter {
@@ -61,4 +61,6 @@
     }
 
+    [StorableConstructor]
+    protected AlleleFrequencyAnalyzer(bool deserializing) : base(deserializing) { }
     public AlleleFrequencyAnalyzer()
       : base() {
@@ -68,5 +70,5 @@
       Parameters.Add(new LookupParameter<T>("BestKnownSolution", "The best known solution."));
       Parameters.Add(new ValueLookupParameter<ResultCollection>("Results", "The result collection where the allele frequency analysis results should be stored."));
-      Parameters.Add(new ValueParameter<BoolValue>("StoreAlleleFrequenciesHistory", "True if the history of all allele frequencies should be stored.", new BoolValue(false)));
+      Parameters.Add(new ValueParameter<BoolValue>("StoreHistory", "True if the history of the allele frequency analysis should be stored.", new BoolValue(false)));
       Parameters.Add(new ValueParameter<IntValue>("UpdateInterval", "The interval in which the allele frequency analysis should be applied.", new IntValue(1)));
       Parameters.Add(new LookupParameter<IntValue>("UpdateCounter", "The value which counts how many times the operator was called since the last update.", "AlleleFrequencyAnalyzerUpdateCounter"));
@@ -99,5 +101,5 @@
         ItemArray<DoubleValue> qualities = QualityParameter.ActualValue;
         T bestKnownSolution = BestKnownSolutionParameter.ActualValue;
-        bool storeHistory = StoreAlleleFrequenciesHistoryParameter.Value.Value;
+        bool storeHistory = StoreHistoryParameter.Value.Value;
 
         // calculate index of current best solution
Index: /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyCollection.cs	(revision 4703)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyCollection.cs	(revision 4704)
@@ -21,4 +21,5 @@
 
 using System.Collections.Generic;
+using System.Drawing;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -31,4 +32,8 @@
   [StorableClass]
   public class AlleleFrequencyCollection : ReadOnlyItemCollection<AlleleFrequency> {
+    public override Image ItemImage {
+      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Statistics; }
+    }
+
     public AlleleFrequencyCollection() : base() { }
     public AlleleFrequencyCollection(IEnumerable<AlleleFrequency> frequencies) : base(new ItemCollection<AlleleFrequency>(frequencies)) { }
Index: /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyCollectionHistory.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyCollectionHistory.cs	(revision 4703)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyCollectionHistory.cs	(revision 4704)
@@ -21,4 +21,5 @@
 
 using System.Collections.Generic;
+using System.Drawing;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -31,4 +32,8 @@
   [StorableClass]
   public class AlleleFrequencyCollectionHistory : ItemCollection<AlleleFrequencyCollection> {
+    public override Image ItemImage {
+      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Cab; }
+    }
+
     public AlleleFrequencyCollectionHistory() : base() { }
     public AlleleFrequencyCollectionHistory(IEnumerable<AlleleFrequencyCollection> collections) : base(new ItemCollection<AlleleFrequencyCollection>(collections)) { }
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPAlleleFrequencyAnalyzer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPAlleleFrequencyAnalyzer.cs	(revision 4703)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/TSPAlleleFrequencyAnalyzer.cs	(revision 4704)
@@ -39,4 +39,6 @@
     }
 
+    [StorableConstructor]
+    private TSPAlleleFrequencyAnalyzer(bool deserializing) : base(deserializing) { }
     public TSPAlleleFrequencyAnalyzer()
       : base() {