Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBoxPlotView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBoxPlotView.Designer.cs	(revision 4720)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBoxPlotView.Designer.cs	(revision 4721)
@@ -46,6 +46,7 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea2 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
-      System.Windows.Forms.DataVisualization.Charting.Series series2 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea1 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
+      System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(RunCollectionBoxPlotView));
       this.xAxisLabel = new System.Windows.Forms.Label();
       this.xAxisComboBox = new System.Windows.Forms.ComboBox();
@@ -55,7 +56,8 @@
       this.noRunsLabel = new System.Windows.Forms.Label();
       this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.showStatisticsCheckBox = new System.Windows.Forms.CheckBox();
       this.statisticsGroupBox = new System.Windows.Forms.GroupBox();
+      this.statisticsMatrixView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
       this.tooltip = new System.Windows.Forms.ToolTip(this.components);
-      this.statisticsMatrixView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
       ((System.ComponentModel.ISupportInitialize)(this.chart)).BeginInit();
       this.splitContainer.Panel1.SuspendLayout();
@@ -112,15 +114,15 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      chartArea2.Name = "ChartArea1";
-      this.chart.ChartAreas.Add(chartArea2);
+      chartArea1.Name = "ChartArea1";
+      this.chart.ChartAreas.Add(chartArea1);
       this.chart.Location = new System.Drawing.Point(6, 30);
       this.chart.Name = "chart";
-      series2.ChartArea = "ChartArea1";
-      series2.ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.BoxPlot;
-      series2.IsVisibleInLegend = false;
-      series2.MarkerStyle = System.Windows.Forms.DataVisualization.Charting.MarkerStyle.Circle;
-      series2.Name = "DataSeries";
-      series2.YValuesPerPoint = 6;
-      this.chart.Series.Add(series2);
+      series1.ChartArea = "ChartArea1";
+      series1.ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.BoxPlot;
+      series1.IsVisibleInLegend = false;
+      series1.MarkerStyle = System.Windows.Forms.DataVisualization.Charting.MarkerStyle.Circle;
+      series1.Name = "DataSeries";
+      series1.YValuesPerPoint = 6;
+      this.chart.Series.Add(series1);
       this.chart.Size = new System.Drawing.Size(534, 217);
       this.chart.TabIndex = 17;
@@ -148,4 +150,5 @@
       // splitContainer.Panel1
       // 
+      this.splitContainer.Panel1.Controls.Add(this.showStatisticsCheckBox);
       this.splitContainer.Panel1.Controls.Add(this.xAxisLabel);
       this.splitContainer.Panel1.Controls.Add(this.noRunsLabel);
@@ -161,4 +164,19 @@
       this.splitContainer.SplitterDistance = 277;
       this.splitContainer.TabIndex = 23;
+      // 
+      // showStatisticsCheckBox
+      // 
+      this.showStatisticsCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.showStatisticsCheckBox.Appearance = System.Windows.Forms.Appearance.Button;
+      this.showStatisticsCheckBox.Checked = true;
+      this.showStatisticsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
+      this.showStatisticsCheckBox.Image = ((System.Drawing.Image)(resources.GetObject("showStatisticsCheckBox.Image")));
+      this.showStatisticsCheckBox.Location = new System.Drawing.Point(6, 245);
+      this.showStatisticsCheckBox.Name = "showStatisticsCheckBox";
+      this.showStatisticsCheckBox.Size = new System.Drawing.Size(24, 24);
+      this.showStatisticsCheckBox.TabIndex = 23;
+      this.tooltip.SetToolTip(this.showStatisticsCheckBox, "Show/Hide Statistics");
+      this.showStatisticsCheckBox.UseVisualStyleBackColor = true;
+      this.showStatisticsCheckBox.CheckedChanged += new System.EventHandler(this.showStatisticsCheckBox_CheckedChanged);
       // 
       // statisticsGroupBox
@@ -219,4 +237,5 @@
     private System.Windows.Forms.GroupBox statisticsGroupBox;
     private System.Windows.Forms.ToolTip tooltip;
+    protected System.Windows.Forms.CheckBox showStatisticsCheckBox;
   }
 }
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBoxPlotView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBoxPlotView.cs	(revision 4720)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBoxPlotView.cs	(revision 4721)
@@ -182,5 +182,5 @@
 
     private void UpdateStatistics() {
-      DoubleMatrix matrix = new DoubleMatrix(6, seriesCache.Count);
+      DoubleMatrix matrix = new DoubleMatrix(7, seriesCache.Count);
       matrix.SortableView = false;
       List<string> columnNames = new List<string>();
@@ -207,15 +207,16 @@
       }
       matrix.ColumnNames = columnNames;
-      matrix.RowNames = new string[] { "Mean", "Median", "Standard deviation", "Variance", "25th percentile", "75th percentile" };
+      matrix.RowNames = new string[] { "Count", "Average", "Median", "Standard Deviation", "Variance", "25th Percentile", "75th Percentile" };
 
       for (int i = 0; i < seriesCache.Count; i++) {
         Series series = seriesCache.ElementAt(i).Value;
         double[] seriesValues = series.Points.Select(p => p.YValues[0]).OrderBy(d => d).ToArray();
-        matrix[0, i] = seriesValues.Average();
-        matrix[1, i] = seriesValues.Median();
-        matrix[2, i] = seriesValues.StandardDeviation();
-        matrix[3, i] = seriesValues.Variance();
-        matrix[4, i] = seriesValues.Percentile(0.25);
-        matrix[5, i] = seriesValues.Percentile(0.75);
+        matrix[0, i] = seriesValues.Length;
+        matrix[1, i] = seriesValues.Average();
+        matrix[2, i] = seriesValues.Median();
+        matrix[3, i] = seriesValues.StandardDeviation();
+        matrix[4, i] = seriesValues.Variance();
+        matrix[5, i] = seriesValues.Percentile(0.25);
+        matrix[6, i] = seriesValues.Percentile(0.75);
       }
       statisticsMatrixView.Content = matrix;
@@ -404,4 +405,8 @@
     #endregion
 
+    private void showStatisticsCheckBox_CheckedChanged(object sender, EventArgs e) {
+      splitContainer.Panel2Collapsed = !showStatisticsCheckBox.Checked;
+    }
+
   }
 }