Index: /trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3.sln	(revision 4724)
+++ /trunk/sources/HeuristicLab 3.3.sln	(revision 4725)
@@ -62,4 +62,5 @@
 		{730A9104-D4D1-4360-966B-E49B7571DDA3} = {730A9104-D4D1-4360-966B-E49B7571DDA3}
 		{125D3006-67F5-48CB-913E-73C0548F17FA} = {125D3006-67F5-48CB-913E-73C0548F17FA}
+		{315BDA09-3F4F-49B3-9790-B37CFC1C5750} = {315BDA09-3F4F-49B3-9790-B37CFC1C5750}
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD} = {489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943} = {72104A0B-90E7-42F3-9ABE-9BBBADD4B943}
@@ -80,4 +81,5 @@
 		{29E4B033-1FEF-4FE1-AE17-0A9319D7C54E} = {29E4B033-1FEF-4FE1-AE17-0A9319D7C54E}
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A} = {250ADE34-82FD-4BAE-86D5-985FBE589C4A}
+		{C3E69936-0DB5-42A4-B1B4-12E9700B080E} = {C3E69936-0DB5-42A4-B1B4-12E9700B080E}
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1} = {0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}
 		{799B0B38-E384-4A17-A73C-F211EB854592} = {799B0B38-E384-4A17-A73C-F211EB854592}
@@ -111,4 +113,5 @@
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A} = {D767C38D-8014-46B0-9A32-03A3AECCE34A}
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71} = {BF7D9494-A586-457B-8DF9-ED599F9E6A71}
+		{7F038E9A-B91E-4F49-8C27-D47BC86F1220} = {7F038E9A-B91E-4F49-8C27-D47BC86F1220}
 		{F409DD9E-1E9C-4EB1-AA3A-9F6E987C6E58} = {F409DD9E-1E9C-4EB1-AA3A-9F6E987C6E58}
 		{4FE983A1-AAF8-4977-B9E2-52B3224510CB} = {4FE983A1-AAF8-4977-B9E2-52B3224510CB}
@@ -128,4 +131,5 @@
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591} = {6908BDCE-D925-43F3-94AC-A531E6DF2591}
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B} = {102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}
+		{66DABFD5-5BD2-4478-8DF9-C589F569F7A2} = {66DABFD5-5BD2-4478-8DF9-C589F569F7A2}
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384} = {13CA37D6-4111-4E7B-BE2E-AF3DE462D384}
 		{71D904D9-233B-44B2-ABB2-1525691228C5} = {71D904D9-233B-44B2-ABB2-1525691228C5}
@@ -133,4 +137,5 @@
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B} = {A9EE65D9-405B-4C9C-B470-FC911AAC541B}
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140} = {1B3063DB-D71C-4A6A-A359-883E8F53A140}
+		{D35FD6DB-D704-4BEA-BDAE-C40ABFB5B13E} = {D35FD6DB-D704-4BEA-BDAE-C40ABFB5B13E}
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0} = {DDFB14DD-2A85-493C-A52D-E69729BBAEB0}
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8} = {88B9B0E3-344E-4196-82A3-0F9732506FE8}
Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/HeuristicLabAnalysisViewsPlugin.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/HeuristicLabAnalysisViewsPlugin.cs.frame	(revision 4724)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/HeuristicLabAnalysisViewsPlugin.cs.frame	(revision 4725)
@@ -32,4 +32,5 @@
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Result.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Result.cs	(revision 4724)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Result.cs	(revision 4725)
@@ -75,4 +75,12 @@
     }
 
+    [StorableConstructor]
+    private Result(bool deserializing) : base(deserializing) { }
+    private Result(Result original, Cloner cloner)
+      : base(original, cloner) {
+      dataType = original.dataType;
+      value = cloner.Clone(original.value);
+      Initialize();
+    }
     public Result()
       : base("Anonymous") {
@@ -102,15 +110,10 @@
       Initialize();
     }
-    [StorableConstructor]
-    private Result(bool deserializing) : base(deserializing) { }
+
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
       Initialize();
     }
-    private Result(Result original, Cloner cloner)
-      : base(original, cloner) {
-      value = cloner.Clone(original.value);
-      Initialize();
-    }
+
     public override IDeepCloneable Clone(Cloner cloner) {
       return new Result(this, cloner);
Index: /trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs.frame	(revision 4724)
+++ /trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs.frame	(revision 4725)
@@ -31,4 +31,5 @@
   [Plugin("HeuristicLab.SequentialEngine", "3.3.1.$WCREV$")]
   [PluginFile("HeuristicLab.SequentialEngine-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]